.PHONY: install test lint fix typecheck run clean

install:
	uv sync

test: lint
	uv run pytest tests/

lint:
	uv run ruff check src/ tests/

fix:
	uv run ruff check src/ tests/ --fix

typecheck:
	uv run mypy src/

run:
	uv run python -m pygui

package:
	uv run pyinstaller packaging/isc.spec

clean:
	rm -rf .pytest_cache .ruff_cache .mypy_cache build dist
	find . -type d -name "__pycache__" -exec rm -rf {} +
